<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.zzsmart.qomo</groupId>
    <artifactId>qomo-kn-forecast</artifactId>
    <version>${revision}</version>
    <packaging>pom</packaging>
    <name>QOMO Cost Manage</name>
    <modules>
        <module>qomo-kn-cost-manage-start</module>
        <module>qomo-kn-cost-manage</module>
    </modules>
    <developers>
        <developer>
            <name>武汉中制智造</name>
            <email>qomo@163.com</email>
        </developer>
    </developers>

    <parent>
        <groupId>org.qomo.boot</groupId>
        <artifactId>qomo-base</artifactId>
        <version>2.0.1-SNAPSHOT</version>
        <relativePath/>
    </parent>

    <properties>
        <revision>2.0.0-SNAPSHOT</revision>
        <adp.version>2.0.0-SNAPSHOT</adp.version>
        <dmp.version>2.0.0-SNAPSHOT</dmp.version>
    </properties>
    <repositories>
        <repository>
            <id>zzzz</id>
            <name>zzzz Repository</name>
            <url>http://192.168.50.9:8091/repository/maven-public/</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>

        <repository>
            <id>aliyun</id>
            <name>aliyun Repository</name>
            <url>https://maven.aliyun.com/repository/public</url>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </repository>
    </repositories>

    <distributionManagement>
        <repository>
            <id>zzzz-releases</id>
            <name>zzzz-releases Repository</name>
            <url>http://192.168.50.9:8091/repository/zzzz-releases/</url>
        </repository>

        <snapshotRepository>
            <id>zzzz-snapshots</id>
            <name>zzzz Snapshot Repository</name>
            <url>http://192.168.50.9:8091/repository/zzzz-snapshots/</url>
        </snapshotRepository>
    </distributionManagement>

    <pluginRepositories>
        <pluginRepository>
            <id>zzzz</id>
            <name>zzzz Repository</name>
            <url>http://192.168.50.9:8091/repository/maven-public/</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </pluginRepository>

        <pluginRepository>
            <id>aliyun</id>
            <name>aliyun Repository</name>
            <url>https://maven.aliyun.com/repository/public</url>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.zzsmart.qomo</groupId>
                <artifactId>qomo-kn-cost-manage</artifactId>
                <version>${revision}</version>
            </dependency>
            <dependency>
                <groupId>com.zzsmart.qomo</groupId>
                <artifactId>qomo-data-model</artifactId>
                <version>${dmp.version}</version>
            </dependency>

            <dependency>
                <groupId>com.zzsmart.qomo</groupId>
                <artifactId>qomo-assets-management</artifactId>
                <version>${dmp.version}</version>
            </dependency>

            <dependency>
                <groupId>com.zzsmart.qomo</groupId>
                <artifactId>qomo-data-integration</artifactId>
                <version>${dmp.version}</version>
            </dependency>

            <dependency>
                <groupId>com.zzsmart.qomo</groupId>
                <artifactId>qomo-data-metadata</artifactId>
                <version>${dmp.version}</version>
            </dependency>

            <dependency>
                <groupId>com.zzsmart.qomo</groupId>
                <artifactId>qomo-work-flow</artifactId>
                <version>${dmp.version}</version>
            </dependency>

            <dependency>
                <groupId>com.zzsmart.qomo</groupId>
                <artifactId>qomo-data-warehouse</artifactId>
                <version>${dmp.version}</version>
            </dependency>
            <dependency>
                <groupId>com.zzsmart.qomo</groupId>
                <artifactId>qomo-data-selfReport</artifactId>
                <version>${dmp.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>
    <!-- 环境 -->
    <profiles>
        <!-- 开发 -->
        <profile>
            <id>dev</id>
            <activation>
                <!--默认激活配置-->
                <activeByDefault>true</activeByDefault>
            </activation>
            <properties>
                <!--当前环境-->
                <profile.name>dev</profile.name>
                <!--Nacos服务地址-->
                <config.server-addr>jeecg-boot-nacos:8848</config.server-addr>
                <!--Nacos配置中心命名空间,用于支持多环境.这里必须使用ID，不能使用名称,默认为空-->
                <config.namespace></config.namespace>
                <!--Nacos配置分组名称-->
                <config.group>DEFAULT_GROUP</config.group>
                <!--Nacos用户名-->
                <config.username></config.username>
                <!--Nacos密码-->
                <config.password></config.password>
            </properties>
        </profile>
        <!-- 测试Nacos开启鉴权、设置分组和命名空间
        <profile>
            <id>dev</id>
            <properties>
                <profile.name>dev</profile.name>
                <config.server-addr>jeecg-boot-nacos:8848</config.server-addr>
                <config.namespace>ac14ab82-51f8-4f0c-aa5b-25fb8384bfb6</config.namespace>
                <config.group>JEECGDEV_GROUP</config.group>
                <config.username>nacos</config.username>
                <config.password>nacos</config.password>
            </properties>
        </profile> -->
        <!-- 测试 -->
        <profile>
            <id>test</id>
            <properties>
                <!--当前环境-->
                <profile.name>test</profile.name>
                <!--Nacos服务地址-->
                <config.server-addr>jeecg-boot-nacos:8848</config.server-addr>
                <!--Nacos配置中心命名空间,用于支持多环境.这里必须使用ID，不能使用名称,默认为空-->
                <config.namespace></config.namespace>
                <!--Nacos配置分组名称-->
                <config.group>DEFAULT_GROUP</config.group>
                <!--Nacos用户名-->
                <config.username></config.username>
                <!--Nacos密码-->
                <config.password></config.password>
            </properties>
        </profile>
        <!-- 生产 -->
        <profile>
            <id>prod</id>
            <properties>
                <!--当前环境-->
                <profile.name>prod</profile.name>
                <!--Nacos服务地址-->
                <config.server-addr>jeecg-boot-nacos:8848</config.server-addr>
                <!--Nacos配置中心命名空间,用于支持多环境.这里必须使用ID，不能使用名称,默认为空-->
                <config.namespace></config.namespace>
                <!--Nacos配置分组名称-->
                <config.group>DEFAULT_GROUP</config.group>
                <!--Nacos用户名-->
                <config.username></config.username>
                <!--Nacos密码-->
                <config.password></config.password>
            </properties>
        </profile>
        <!-- SpringCloud运行环境 -->
    </profiles>
</project>